<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_151) on Thu Jan 18 13:47:17 GMT+01:00 2018 -->
<title>Affichage</title>
<meta name="date" content="2018-01-18">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Affichage";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":9,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Affichage.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../console/Affichable.html" title="interface in console"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../index.html?console/Affichage.html" target="_top">Frames</a></li>
<li><a href="Affichage.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">console</div>
<h2 title="Class Affichage" class="title">Class Affichage</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>console.Affichage</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../console/Affichable.html" title="interface in console">Affichable</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">Affichage</span>
extends java.lang.Object
implements <a href="../console/Affichable.html" title="interface in console">Affichable</a></pre>
<div class="block">Classe implémentant l'interface affichable Permet de gérer le contenu
 affichable et les interactions joueur</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../console/Affichage.html#Affichage--">Affichage</a></span>()</code>
<div class="block">Constructeur de la classe Création d'un scanner pour récupérrer les entrées
 clavier</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../console/Affichage.html#afficherCarteJouee-noyau.Carte-">afficherCarteJouee</a></span>(<a href="../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;c)</code>
<div class="block">Permet d'afficher la dernière carte jouée</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../console/Affichage.html#afficherNbCarteAdversaire-noyau.Joueur-">afficherNbCarteAdversaire</a></span>(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;j)</code>
<div class="block">Permet d'afficher le nombre de carte d'un adversaire</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../console/Affichage.html#choixCarte-noyau.Joueur-">choixCarte</a></span>(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;j)</code>
<div class="block">Permet au joueur de sélectionner la carte qu'il veut jouer</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../console/Affichage.html#choixCouleur--">choixCouleur</a></span>()</code>
<div class="block">Permet au joueur de choisir une couleur</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../console/Affichage.html#choixVariante--">choixVariante</a></span>()</code>
<div class="block">Permet au joueur de choisir la variante</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../console/Affichage.html#direCarte-noyau.Joueur-">direCarte</a></span>(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;j)</code>
<div class="block">Permet au joueur de dire carte</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../console/Affichage.html#direContreCarte-noyau.Joueur-">direContreCarte</a></span>(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;j)</code>
<div class="block">Permet au joueur de dire contrecarte</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../console/Affichage.html#main-java.lang.String:A-">main</a></span>(java.lang.String[]&nbsp;args)</code>
<div class="block">Point de lancement du programme</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../console/Affichage.html#menuPrincipal--">menuPrincipal</a></span>()</code>
<div class="block">Permet d'afficher le menu principal et de lancer une partie</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../console/Affichage.html#nombreJoueurs--">nombreJoueurs</a></span>()</code>
<div class="block">Permet au joueur d'initialiser le nombre de joueur de la partie</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../console/Affichage.html#notifUtilisateur-java.lang.String-">notifUtilisateur</a></span>(java.lang.String&nbsp;msg)</code>
<div class="block">Permet d'afficher un message au joueur</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../console/Affichage.html#notifUtilisateuretDonnerInformation-java.lang.String-">notifUtilisateuretDonnerInformation</a></span>(java.lang.String&nbsp;msg)</code>
<div class="block">Permet de notifier le joueur et de récupérer l'entrée clavier suivante</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../console/Affichage.html#stratAgro--">stratAgro</a></span>()</code>
<div class="block">Permet au joueur d'activer la stratégie aggressive</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../console/Affichage.html#tailleJeu--">tailleJeu</a></span>()</code>
<div class="block">Permet au joueur de choisir la taille du paquet</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Affichage--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Affichage</h4>
<pre>public&nbsp;Affichage()</pre>
<div class="block">Constructeur de la classe Création d'un scanner pour récupérrer les entrées
 clavier</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="menuPrincipal--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>menuPrincipal</h4>
<pre>public&nbsp;int&nbsp;menuPrincipal()</pre>
<div class="block">Permet d'afficher le menu principal et de lancer une partie</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../console/Affichable.html#menuPrincipal--">menuPrincipal</a></code>&nbsp;in interface&nbsp;<code><a href="../console/Affichable.html" title="interface in console">Affichable</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>le choix du joueur pour le lancement de la partie</dd>
</dl>
</li>
</ul>
<a name="nombreJoueurs--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>nombreJoueurs</h4>
<pre>public&nbsp;int&nbsp;nombreJoueurs()</pre>
<div class="block">Permet au joueur d'initialiser le nombre de joueur de la partie</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../console/Affichable.html#nombreJoueurs--">nombreJoueurs</a></code>&nbsp;in interface&nbsp;<code><a href="../console/Affichable.html" title="interface in console">Affichable</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>le nombre de joueurs</dd>
</dl>
</li>
</ul>
<a name="tailleJeu--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>tailleJeu</h4>
<pre>public&nbsp;int&nbsp;tailleJeu()</pre>
<div class="block">Permet au joueur de choisir la taille du paquet</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../console/Affichable.html#tailleJeu--">tailleJeu</a></code>&nbsp;in interface&nbsp;<code><a href="../console/Affichable.html" title="interface in console">Affichable</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>la taille du paquet</dd>
</dl>
</li>
</ul>
<a name="choixVariante--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>choixVariante</h4>
<pre>public&nbsp;int&nbsp;choixVariante()</pre>
<div class="block">Permet au joueur de choisir la variante</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../console/Affichable.html#choixVariante--">choixVariante</a></code>&nbsp;in interface&nbsp;<code><a href="../console/Affichable.html" title="interface in console">Affichable</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>l'indice de la variante</dd>
</dl>
</li>
</ul>
<a name="stratAgro--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>stratAgro</h4>
<pre>public&nbsp;int&nbsp;stratAgro()</pre>
<div class="block">Permet au joueur d'activer la stratégie aggressive</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../console/Affichable.html#stratAgro--">stratAgro</a></code>&nbsp;in interface&nbsp;<code><a href="../console/Affichable.html" title="interface in console">Affichable</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>le choix du joueur</dd>
</dl>
</li>
</ul>
<a name="choixCarte-noyau.Joueur-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>choixCarte</h4>
<pre>public&nbsp;int&nbsp;choixCarte(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;j)</pre>
<div class="block">Permet au joueur de sélectionner la carte qu'il veut jouer</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../console/Affichable.html#choixCarte-noyau.Joueur-">choixCarte</a></code>&nbsp;in interface&nbsp;<code><a href="../console/Affichable.html" title="interface in console">Affichable</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>le</code> - joueur</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>la carte selectionnée</dd>
</dl>
</li>
</ul>
<a name="notifUtilisateur-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>notifUtilisateur</h4>
<pre>public&nbsp;void&nbsp;notifUtilisateur(java.lang.String&nbsp;msg)</pre>
<div class="block">Permet d'afficher un message au joueur</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../console/Affichable.html#notifUtilisateur-java.lang.String-">notifUtilisateur</a></code>&nbsp;in interface&nbsp;<code><a href="../console/Affichable.html" title="interface in console">Affichable</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>le</code> - message</dd>
</dl>
</li>
</ul>
<a name="notifUtilisateuretDonnerInformation-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>notifUtilisateuretDonnerInformation</h4>
<pre>public&nbsp;int&nbsp;notifUtilisateuretDonnerInformation(java.lang.String&nbsp;msg)</pre>
<div class="block">Permet de notifier le joueur et de récupérer l'entrée clavier suivante</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../console/Affichable.html#notifUtilisateuretDonnerInformation-java.lang.String-">notifUtilisateuretDonnerInformation</a></code>&nbsp;in interface&nbsp;<code><a href="../console/Affichable.html" title="interface in console">Affichable</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>l'entrée clavier sous forme d'entier</dd>
</dl>
</li>
</ul>
<a name="choixCouleur--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>choixCouleur</h4>
<pre>public&nbsp;int&nbsp;choixCouleur()</pre>
<div class="block">Permet au joueur de choisir une couleur</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../console/Affichable.html#choixCouleur--">choixCouleur</a></code>&nbsp;in interface&nbsp;<code><a href="../console/Affichable.html" title="interface in console">Affichable</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>l'indice de la couleur</dd>
</dl>
</li>
</ul>
<a name="direCarte-noyau.Joueur-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>direCarte</h4>
<pre>public&nbsp;void&nbsp;direCarte(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;j)</pre>
<div class="block">Permet au joueur de dire carte</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../console/Affichable.html#direCarte-noyau.Joueur-">direCarte</a></code>&nbsp;in interface&nbsp;<code><a href="../console/Affichable.html" title="interface in console">Affichable</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>le</code> - joueur</dd>
</dl>
</li>
</ul>
<a name="direContreCarte-noyau.Joueur-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>direContreCarte</h4>
<pre>public&nbsp;void&nbsp;direContreCarte(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;j)</pre>
<div class="block">Permet au joueur de dire contrecarte</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../console/Affichable.html#direContreCarte-noyau.Joueur-">direContreCarte</a></code>&nbsp;in interface&nbsp;<code><a href="../console/Affichable.html" title="interface in console">Affichable</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>le</code> - joueur</dd>
</dl>
</li>
</ul>
<a name="afficherCarteJouee-noyau.Carte-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>afficherCarteJouee</h4>
<pre>public&nbsp;void&nbsp;afficherCarteJouee(<a href="../noyau/Carte.html" title="class in noyau">Carte</a>&nbsp;c)</pre>
<div class="block">Permet d'afficher la dernière carte jouée</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../console/Affichable.html#afficherCarteJouee-noyau.Carte-">afficherCarteJouee</a></code>&nbsp;in interface&nbsp;<code><a href="../console/Affichable.html" title="interface in console">Affichable</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>la</code> - dernière carte jouée</dd>
</dl>
</li>
</ul>
<a name="main-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>main</h4>
<pre>public static&nbsp;void&nbsp;main(java.lang.String[]&nbsp;args)</pre>
<div class="block">Point de lancement du programme</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>args</code> - </dd>
</dl>
</li>
</ul>
<a name="afficherNbCarteAdversaire-noyau.Joueur-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>afficherNbCarteAdversaire</h4>
<pre>public&nbsp;void&nbsp;afficherNbCarteAdversaire(<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a>&nbsp;j)</pre>
<div class="block">Permet d'afficher le nombre de carte d'un adversaire</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../console/Affichable.html#afficherNbCarteAdversaire-noyau.Joueur-">afficherNbCarteAdversaire</a></code>&nbsp;in interface&nbsp;<code><a href="../console/Affichable.html" title="interface in console">Affichable</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>l'adversaire</code> - </dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Affichage.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../console/Affichable.html" title="interface in console"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../index.html?console/Affichage.html" target="_top">Frames</a></li>
<li><a href="Affichage.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
